SHRINKPDF(1)

NAME
shrinkpdf - A simple wrapper around Ghostscript to reduce the file size of PDFs

SYNOPSIS
shrinkpdf [-gh] [-o outfile] [-r res] infile

DESCRIPTION
Inspired by some code found in an OpenOffice Python script, shrinkpdf feeds a PDF through Ghostscript, which performs lossy recompression by such methods as downsampling the images to a lower resolution. The result should be (but not always is) a much smaller file.

The following options are available:

-g  Enable grayscale conversion which can further reduce output size.

-h  Show help screen.

-o outfile
    Output file, default is standard output.

-r res
    Resolution in DPI, default is 72.

If both [infile] and [outfile] are regular files, the script checks if the shrunk output file is actually smaller than the input file. If it is not, it writes a message to stderr and copies the input to output.

EXAMPLES
Reduce PDF resolution to 72 dpi:
    $ shrinkpdf myfile.pdf >myfile-72dpi.pdf

Reduce PDF resolution to 300 dpi:
    $ shrinkpdf -r 300 myfile.pdf >myfile-300dpi.pdf

Reduce PDF resolution to 150 dpi, specify [outfile]:
    $ shrinkpdf -o myfile-150dpi.pdf -r 150 myfile.pdf

SEE ALSO
gs(1)

AUTHORS
-nosplit shrinkpdf was written by Alfred Klomp. This manual page was written by Michael Gmelin <grembo@FreeBSD.org> based on content written by Alfred Klomp.